# Generated from kumolus-paranoia-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kumolus-paranoia

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: This gem is use for soft delete of active record object
License: MIT
URL: https://github.com/kumoas/kumolus-paranoia
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby >= 2.0
BuildArch: noarch

%description
You would use this Paranoia gem if you
wished that when you called destroy on an Active Record object that it
didn't actually destroy it, but just "hide" the record. Paranoia does this
by setting a deleted_at field to the current time when you destroy a record,
and hides it by scoping all queries on your model to only include records
which do not have a deleted_at field.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/kumolus-paranoia.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.1.0-1
- Initial package
